Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 7346 - kernel do not recognize parallel port
Summary: kernel do not recognize parallel port
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 6.1
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Cristian Gafton
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-11-26 11:05 UTC by atanas
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-11-29 16:44:24 UTC


Attachments (Terms of Use)

Description atanas 1999-11-26 11:05:18 UTC
Description: I have running Red Hat 5.2 system with parallel port (and
printer attached to him) working properly.
I upgraded to Red Hat 6.1 and after trying to print something discovered
that printer is not recognized by the system.
I tried to add new printer using printtool and port probing failed.
I have recompiled the kernel with printer support in kernel (prev. it was
module i think).
After booting new kernel tries to load printer driver but unsuccessful (see
dmesg file).

Next few lines are output from dmesg command after booting the system:

Serial driver version 4.27 with MANY_PORTS MULTIPORT SHARE_IRQ enabled
ttyS00 at 0x03f8 (irq = 4) is a 16550A
ttyS03 at 0x02e8 (irq = 3) is a 16550A
pty: 256 Unix98 ptys configured
request_module[parport_lowlevel]: Root fs not mounted
request_module[parport_probe]: Root fs not mounted
lp: driver loaded but no devices found
apm: BIOS not found.
Real Time Clock Driver v1.09

Comment 1 Bill Nottingham 1999-11-29 16:44:59 UTC
add

alias parport_lowlevel parport_pc

to /etc/conf.modules.


Note You need to log in before you can comment on or make changes to this bug.